package package1;

import java.io.*;
public class EscribirFichero {
  public static void main(String[] args) throws IOException, ClassNotFoundException{
  Persona persona;
  File fichero = new File("C:\\Users\\yaros\\Documents\\project\\serial.dat");
  FileOutputStream fileout = new FileOutputStream(fichero);
  ObjectOutputStream dataOS= new ObjectOutputStream(fileout);
  String[] nombres= {"Juan","Pedro","Perico","Andrés"};
  int[] edades= {21,22,23,24};
  byte[] bytes = null;
  for (int i = 0; i < edades.length; i++) {
    persona = new Persona(nombres[i],edades[i]);
    ByteArrayOutputStream bs= new ByteArrayOutputStream();
	  ObjectOutputStream os = new ObjectOutputStream (bs);
	  os.writeObject(persona);  // this es de tipo DatoUdp
	  os.close();
	  bytes =  bs.toByteArray();
  }
  
  ByteArrayInputStream bs= new ByteArrayInputStream(bytes); // bytes es el byte[]
  ObjectInputStream is = new ObjectInputStream(bs);
  Persona unObjetoSerializable = (Persona)is.readObject();
  System.out.println(is);
  
  for(int i = 0; i < bytes.length; i++) {
	  System.out.print(bytes[i]);
	  dataOS.writeObject(bytes[i]);
  }
  System.out.println();
  //dataOS.writeObject(bytes);
  dataOS.close();
  System.out.println("Done");
  //leerFichObject(fichero);
  }
  
  public static void leerFichObject (File fichero) 
		    throws IOException {
		    Persona persona;
		    FileInputStream filein = new FileInputStream(fichero);
		    ObjectInputStream dataIS = new ObjectInputStream(filein);
		    try {
		      while (true) {
		        persona = (Persona) dataIS.readObject();
		        System.out.println("Nombre: "+persona.getNombre()+
		            " Edad: "+persona.getEdad());
		      }
		    } catch (EOFException error) {
		      //nada
		    } catch (ClassNotFoundException error) {
		      error.printStackTrace();
		      System.out.println(error.getMessage());
		    }
		    dataIS.close();
		    
		  }
}